### Function

# Gimp context_set_dynamics

since: 2.8

#### Declaration [src]

    gboolean
    gimp_context_set_dynamics (
      const gchar* name
    )

#### Description [src]

Set the active paint dynamics.

Sets the active paint dynamics. The paint dynamics will be used in all subsequent paint operations when dynamics are enabled. The name should be a name of an installed paint dynamics. Returns an error if no matching paint dynamics is found.

Available since: 2.8

#### Parameters

`name`

  Type: `const gchar*`

  A name of a paint dynamics.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

TRUE on success.